# std::filesystem::file_status::permissions

From cppreference.com
< cpp‎ | filesystem‎ | file status

std::filesystem::perms permissions() const; | (1) | (since C++17)
void permissions( std::filesystem::perms perm ); | (2) | (since C++17)

Accesses the file permissions information.

1) Returns file permissions information.
2) Sets file type to `perm`.

### Parameters

perm | - | file permissions to set to

### Return value

1) File permissions information.
2) (none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/file_status/permissions&oldid=91579"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template